Adds a User to a group with associations
curl --request POST \
--url https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/group/{groupId}/addUser \
--header 'Content-Type: application/json' \
--cookie JSESSIONID= \
--data '
{
"user": {
"id": 1,
"displayName": "Entity display name",
"pin": "1111",
"avatarUrl": "http://myavatar/johnsmith",
"attributes": {
"com.uxpsystems.mint.user.FamilyName": "<string>",
"com.uxpsystems.mint.user.GivenName": "<string>",
"com.uxpsystems.mint.user.Language": "fr_CA, en",
"domain": "<string>",
"preferredNotificationChannel": "<string>",
"branding": "<string>"
}
},
"entityPermissions": [
{
"entityId": 1
}
]
}
'import requests
url = "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/group/{groupId}/addUser"
payload = {
"user": {
"id": 1,
"displayName": "Entity display name",
"pin": "1111",
"avatarUrl": "http://myavatar/johnsmith",
"attributes": {
"com.uxpsystems.mint.user.FamilyName": "<string>",
"com.uxpsystems.mint.user.GivenName": "<string>",
"com.uxpsystems.mint.user.Language": "fr_CA, en",
"domain": "<string>",
"preferredNotificationChannel": "<string>",
"branding": "<string>"
}
},
"entityPermissions": [{ "entityId": 1 }]
}
headers = {
"cookie": "JSESSIONID=",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {cookie: 'JSESSIONID=', 'Content-Type': 'application/json'},
body: JSON.stringify({
user: {
id: 1,
displayName: 'Entity display name',
pin: '1111',
avatarUrl: 'http://myavatar/johnsmith',
attributes: {
'com.uxpsystems.mint.user.FamilyName': '<string>',
'com.uxpsystems.mint.user.GivenName': '<string>',
'com.uxpsystems.mint.user.Language': 'fr_CA, en',
domain: '<string>',
preferredNotificationChannel: '<string>',
branding: '<string>'
}
},
entityPermissions: [{entityId: 1}]
})
};
fetch('https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/group/{groupId}/addUser', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/group/{groupId}/addUser",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'user' => [
'id' => 1,
'displayName' => 'Entity display name',
'pin' => '1111',
'avatarUrl' => 'http://myavatar/johnsmith',
'attributes' => [
'com.uxpsystems.mint.user.FamilyName' => '<string>',
'com.uxpsystems.mint.user.GivenName' => '<string>',
'com.uxpsystems.mint.user.Language' => 'fr_CA, en',
'domain' => '<string>',
'preferredNotificationChannel' => '<string>',
'branding' => '<string>'
]
],
'entityPermissions' => [
[
'entityId' => 1
]
]
]),
CURLOPT_COOKIE => "JSESSIONID=",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/group/{groupId}/addUser"
payload := strings.NewReader("{\n \"user\": {\n \"id\": 1,\n \"displayName\": \"Entity display name\",\n \"pin\": \"1111\",\n \"avatarUrl\": \"http://myavatar/johnsmith\",\n \"attributes\": {\n \"com.uxpsystems.mint.user.FamilyName\": \"<string>\",\n \"com.uxpsystems.mint.user.GivenName\": \"<string>\",\n \"com.uxpsystems.mint.user.Language\": \"fr_CA, en\",\n \"domain\": \"<string>\",\n \"preferredNotificationChannel\": \"<string>\",\n \"branding\": \"<string>\"\n }\n },\n \"entityPermissions\": [\n {\n \"entityId\": 1\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("cookie", "JSESSIONID=")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/group/{groupId}/addUser")
.header("cookie", "JSESSIONID=")
.header("Content-Type", "application/json")
.body("{\n \"user\": {\n \"id\": 1,\n \"displayName\": \"Entity display name\",\n \"pin\": \"1111\",\n \"avatarUrl\": \"http://myavatar/johnsmith\",\n \"attributes\": {\n \"com.uxpsystems.mint.user.FamilyName\": \"<string>\",\n \"com.uxpsystems.mint.user.GivenName\": \"<string>\",\n \"com.uxpsystems.mint.user.Language\": \"fr_CA, en\",\n \"domain\": \"<string>\",\n \"preferredNotificationChannel\": \"<string>\",\n \"branding\": \"<string>\"\n }\n },\n \"entityPermissions\": [\n {\n \"entityId\": 1\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/group/{groupId}/addUser")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["cookie"] = 'JSESSIONID='
request["Content-Type"] = 'application/json'
request.body = "{\n \"user\": {\n \"id\": 1,\n \"displayName\": \"Entity display name\",\n \"pin\": \"1111\",\n \"avatarUrl\": \"http://myavatar/johnsmith\",\n \"attributes\": {\n \"com.uxpsystems.mint.user.FamilyName\": \"<string>\",\n \"com.uxpsystems.mint.user.GivenName\": \"<string>\",\n \"com.uxpsystems.mint.user.Language\": \"fr_CA, en\",\n \"domain\": \"<string>\",\n \"preferredNotificationChannel\": \"<string>\",\n \"branding\": \"<string>\"\n }\n },\n \"entityPermissions\": [\n {\n \"entityId\": 1\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"user": {
"id": 1,
"displayName": "Entity display name",
"avatarUrl": "http://myavatar/johnsmith",
"type": "user.SoftProfile",
"credentialSet": true,
"pinSet": false,
"attributes": {
"com.uxpsystems.mint.user.FamilyName": "<string>",
"com.uxpsystems.mint.user.GivenName": "<string>",
"com.uxpsystems.mint.user.Language": "fr_CA, en",
"domain": "<string>",
"preferredNotificationChannel": "<string>",
"branding": "<string>",
"secret2FATotp": "<string>",
"aliases": [
{
"id": "<string>",
"alias": "<string>"
}
],
"mobiles": [
{
"id": "<string>",
"number": "<string>",
"mfaoption": true
}
],
"emails": [
{
"id": "<string>",
"email": "<string>",
"mfaoption": true
}
],
"socialConnections": [
{
"id": "<string>",
"providerId": "facebook, google",
"socialId": true
}
]
}
},
"groupPermission": "admin",
"entityPermissions": [
{
"entityClass": "account",
"entityId": 1,
"permission": "admin"
}
]
}{
"fieldErrors": [
{
"field": "<string>",
"code": "<string>",
"code_v2": "invalid-input-error",
"message": "<string>",
"rejectedValue": "<string>"
}
],
"operationErrors": [
{
"code": "group-not-found",
"message": "<string>"
}
]
}{
"operationError": {
"code": "<string>",
"message": "Bad user input",
"type": "<string>",
"authorities": [
"<string>"
]
},
"stackTrace": "<string>",
"operationErrors": [
{
"code": "authentication-required",
"message": "Full Authentication Required"
}
]
}{
"operationError": {
"code": "<string>",
"message": "Bad user input",
"type": "<string>",
"authorities": [
"<string>"
]
},
"stackTrace": "<string>",
"operationErrors": [
{
"code": "ACCESS_FORBIDDEN",
"message": "Access Denied"
}
]
}Adds a User to a group with associations
Creates and/or adds a User to a Group; it associates the required entitlement entities. Note that the entitlement entities must already be associated with the group, and the user context making the request must haver group admin permissions.
POST
/
group
/
{groupId}
/
addUser
Adds a User to a group with associations
curl --request POST \
--url https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/group/{groupId}/addUser \
--header 'Content-Type: application/json' \
--cookie JSESSIONID= \
--data '
{
"user": {
"id": 1,
"displayName": "Entity display name",
"pin": "1111",
"avatarUrl": "http://myavatar/johnsmith",
"attributes": {
"com.uxpsystems.mint.user.FamilyName": "<string>",
"com.uxpsystems.mint.user.GivenName": "<string>",
"com.uxpsystems.mint.user.Language": "fr_CA, en",
"domain": "<string>",
"preferredNotificationChannel": "<string>",
"branding": "<string>"
}
},
"entityPermissions": [
{
"entityId": 1
}
]
}
'import requests
url = "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/group/{groupId}/addUser"
payload = {
"user": {
"id": 1,
"displayName": "Entity display name",
"pin": "1111",
"avatarUrl": "http://myavatar/johnsmith",
"attributes": {
"com.uxpsystems.mint.user.FamilyName": "<string>",
"com.uxpsystems.mint.user.GivenName": "<string>",
"com.uxpsystems.mint.user.Language": "fr_CA, en",
"domain": "<string>",
"preferredNotificationChannel": "<string>",
"branding": "<string>"
}
},
"entityPermissions": [{ "entityId": 1 }]
}
headers = {
"cookie": "JSESSIONID=",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {cookie: 'JSESSIONID=', 'Content-Type': 'application/json'},
body: JSON.stringify({
user: {
id: 1,
displayName: 'Entity display name',
pin: '1111',
avatarUrl: 'http://myavatar/johnsmith',
attributes: {
'com.uxpsystems.mint.user.FamilyName': '<string>',
'com.uxpsystems.mint.user.GivenName': '<string>',
'com.uxpsystems.mint.user.Language': 'fr_CA, en',
domain: '<string>',
preferredNotificationChannel: '<string>',
branding: '<string>'
}
},
entityPermissions: [{entityId: 1}]
})
};
fetch('https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/group/{groupId}/addUser', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/group/{groupId}/addUser",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'user' => [
'id' => 1,
'displayName' => 'Entity display name',
'pin' => '1111',
'avatarUrl' => 'http://myavatar/johnsmith',
'attributes' => [
'com.uxpsystems.mint.user.FamilyName' => '<string>',
'com.uxpsystems.mint.user.GivenName' => '<string>',
'com.uxpsystems.mint.user.Language' => 'fr_CA, en',
'domain' => '<string>',
'preferredNotificationChannel' => '<string>',
'branding' => '<string>'
]
],
'entityPermissions' => [
[
'entityId' => 1
]
]
]),
CURLOPT_COOKIE => "JSESSIONID=",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/group/{groupId}/addUser"
payload := strings.NewReader("{\n \"user\": {\n \"id\": 1,\n \"displayName\": \"Entity display name\",\n \"pin\": \"1111\",\n \"avatarUrl\": \"http://myavatar/johnsmith\",\n \"attributes\": {\n \"com.uxpsystems.mint.user.FamilyName\": \"<string>\",\n \"com.uxpsystems.mint.user.GivenName\": \"<string>\",\n \"com.uxpsystems.mint.user.Language\": \"fr_CA, en\",\n \"domain\": \"<string>\",\n \"preferredNotificationChannel\": \"<string>\",\n \"branding\": \"<string>\"\n }\n },\n \"entityPermissions\": [\n {\n \"entityId\": 1\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("cookie", "JSESSIONID=")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/group/{groupId}/addUser")
.header("cookie", "JSESSIONID=")
.header("Content-Type", "application/json")
.body("{\n \"user\": {\n \"id\": 1,\n \"displayName\": \"Entity display name\",\n \"pin\": \"1111\",\n \"avatarUrl\": \"http://myavatar/johnsmith\",\n \"attributes\": {\n \"com.uxpsystems.mint.user.FamilyName\": \"<string>\",\n \"com.uxpsystems.mint.user.GivenName\": \"<string>\",\n \"com.uxpsystems.mint.user.Language\": \"fr_CA, en\",\n \"domain\": \"<string>\",\n \"preferredNotificationChannel\": \"<string>\",\n \"branding\": \"<string>\"\n }\n },\n \"entityPermissions\": [\n {\n \"entityId\": 1\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/group/{groupId}/addUser")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["cookie"] = 'JSESSIONID='
request["Content-Type"] = 'application/json'
request.body = "{\n \"user\": {\n \"id\": 1,\n \"displayName\": \"Entity display name\",\n \"pin\": \"1111\",\n \"avatarUrl\": \"http://myavatar/johnsmith\",\n \"attributes\": {\n \"com.uxpsystems.mint.user.FamilyName\": \"<string>\",\n \"com.uxpsystems.mint.user.GivenName\": \"<string>\",\n \"com.uxpsystems.mint.user.Language\": \"fr_CA, en\",\n \"domain\": \"<string>\",\n \"preferredNotificationChannel\": \"<string>\",\n \"branding\": \"<string>\"\n }\n },\n \"entityPermissions\": [\n {\n \"entityId\": 1\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"user": {
"id": 1,
"displayName": "Entity display name",
"avatarUrl": "http://myavatar/johnsmith",
"type": "user.SoftProfile",
"credentialSet": true,
"pinSet": false,
"attributes": {
"com.uxpsystems.mint.user.FamilyName": "<string>",
"com.uxpsystems.mint.user.GivenName": "<string>",
"com.uxpsystems.mint.user.Language": "fr_CA, en",
"domain": "<string>",
"preferredNotificationChannel": "<string>",
"branding": "<string>",
"secret2FATotp": "<string>",
"aliases": [
{
"id": "<string>",
"alias": "<string>"
}
],
"mobiles": [
{
"id": "<string>",
"number": "<string>",
"mfaoption": true
}
],
"emails": [
{
"id": "<string>",
"email": "<string>",
"mfaoption": true
}
],
"socialConnections": [
{
"id": "<string>",
"providerId": "facebook, google",
"socialId": true
}
]
}
},
"groupPermission": "admin",
"entityPermissions": [
{
"entityClass": "account",
"entityId": 1,
"permission": "admin"
}
]
}{
"fieldErrors": [
{
"field": "<string>",
"code": "<string>",
"code_v2": "invalid-input-error",
"message": "<string>",
"rejectedValue": "<string>"
}
],
"operationErrors": [
{
"code": "group-not-found",
"message": "<string>"
}
]
}{
"operationError": {
"code": "<string>",
"message": "Bad user input",
"type": "<string>",
"authorities": [
"<string>"
]
},
"stackTrace": "<string>",
"operationErrors": [
{
"code": "authentication-required",
"message": "Full Authentication Required"
}
]
}{
"operationError": {
"code": "<string>",
"message": "Bad user input",
"type": "<string>",
"authorities": [
"<string>"
]
},
"stackTrace": "<string>",
"operationErrors": [
{
"code": "ACCESS_FORBIDDEN",
"message": "Access Denied"
}
]
}Authorizations
cookieAuthOIDC
Path Parameters
The unique ID number of the group
Body
application/json
The object that contains property and attribute values for a user or the id of an existing user. If the id is provided and the user is not a soft profile user, the property and attribute values are ignored.
Show child attributes
Show child attributes
Available options:
admin, access A list of entity permissions.
Show child attributes
Show child attributes

